Components

get

Retrieves multiple components.

Query parameters
idsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional

Search term to filter components by key.

versionIdsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all components for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

detailany ofRequired

The detail configuration of the component.

or
or
keystring · min: 1 · max: 100Required

The unique key identifier for this component within the workspace.

Pattern: ^[a-zA-Z0-9_]+$
workspaceIdstring · uuidRequired

The workspace that owns this component.

get
/api/v1/components
post

Creates a new component.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
detailany ofRequired

The detail configuration of the component.

or
or
keystring · min: 1 · max: 100Required

The unique key identifier for this component within the workspace.

Pattern: ^[a-zA-Z0-9_]+$
Responses
200

The component was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

detailany ofRequired

The detail configuration of the component.

or
or
keystring · min: 1 · max: 100Required

The unique key identifier for this component within the workspace.

Pattern: ^[a-zA-Z0-9_]+$
workspaceIdstring · uuidRequired

The workspace that owns this component.

post
/api/v1/components
get

Retrieves a component.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves a component.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

detailany ofRequired

The detail configuration of the component.

or
or
keystring · min: 1 · max: 100Required

The unique key identifier for this component within the workspace.

Pattern: ^[a-zA-Z0-9_]+$
workspaceIdstring · uuidRequired

The workspace that owns this component.

get
/api/v1/components/{id}
delete

Removes a component.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The component was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete
/api/v1/components/{id}
patch

Updates a component.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
detailany ofOptional

The detail configuration of the component.

or
or
Responses
200

The component was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

isRemovedbooleanRequired
referenceIdstring · uuid · nullableRequired

The ID of the original entity in production.

updatedAtstring · date-timeRequired
versionIdstring · uuidRequired

A UUID v4 string that identifies an entity.

detailany ofRequired

The detail configuration of the component.

or
or
keystring · min: 1 · max: 100Required

The unique key identifier for this component within the workspace.

Pattern: ^[a-zA-Z0-9_]+$
workspaceIdstring · uuidRequired

The workspace that owns this component.

patch
/api/v1/components/{id}

Last updated